Zimbra Collaboration Server 8.8.x < 8.8.15 Patch 23 / 9.0.0 < 9.0.0 Patch 16 Multiple Vulnerabilities

critical Nessus Plugin ID 163257

Synopsis

The remote web server contains a web application that is affected by a vulnerability.

Description

According to its self-reported version number, Zimbra Collaboration Server is affected by a multiple vulnerabilities, including the following:

- An open redirect vulnerability exists in the /preauth Servlet in Zimbra Collaboration Suite through 9.0. To exploit the vulnerability, an attacker would need to have obtained a valid zimbra auth token or a valid preauth token. Once the token is obtained, an attacker could redirect a user to any URL via isredirect=1&redirectURL= in conjunction with the token data (e.g., a valid authtoken= value). (CVE-2021-35207)

- An issue was discovered in ZmMailMsgView.js in the Calendar Invite component in Zimbra Collaboration Suite 8.8.x before 8.8.15 Patch 23. An attacker could place HTML containing executable JavaScript inside element attributes. This markup becomes unescaped, causing arbitrary markup to be injected into the document. (CVE-2021-35208)

- An issue was discovered in ProxyServlet.java in the /proxy servlet in Zimbra Collaboration Suite 8.8 before 8.8.15 Patch 23 and 9.x before 9.0.0 Patch 16. The value of the X-Host header overwrites the value of the Host header in proxied requests. The value of X-Host header is not checked against the whitelist of hosts Zimbra is allowed to proxy to (the zimbraProxyAllowedDomains setting). (CVE-2021-35209)

- ap_escape_quotes() may write beyond the end of a buffer when given malicious input. No included modules pass untrusted data to these functions, but third-party / external modules may. This issue affects Apache HTTP Server 2.4.48 and earlier. (CVE-2021-34807)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to version 8.8.15 Patch 23, 9.0.0 Patch 16, or later.

See Also

https://wiki.zimbra.com/wiki/Zimbra_Releases/8.8.15/P23

https://wiki.zimbra.com/wiki/Zimbra_Releases/9.0.0/P16

https://wiki.zimbra.com/wiki/Security_Center

https://wiki.zimbra.com/wiki/Zimbra_Security_Advisories

Plugin Details

Severity: Critical

ID: 163257

File Name: zimbra_9_0_0_p16.nasl

Version: 1.2

Type: combined

Agent: unix

Family: CGI abuses

Published: 7/15/2022

Updated: 7/18/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-35209

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:zimbra:collaboration_suite

Required KB Items: installed_sw/zimbra_zcs

Exploit Ease: No known exploits are available

Patch Publication Date: 3/20/2022

Vulnerability Publication Date: 4/20/2022

Reference Information

CVE: CVE-2021-34807, CVE-2021-35207, CVE-2021-35208, CVE-2021-35209

IAVA: 2022-A-0268